Source: lal
Section: science
Priority: optional
Maintainer: Steffen Grunewald <steffen.grunewald@aei.mpg.de>
Uploaders: Adam Mercer <adam.mercer@ligo.org>, GitLab <gitlab@git.ligo.org>
Build-Depends: bc,
  debhelper (>= 9),
  dh-python,
  less,
  libfftw3-dev,
  libgsl0-dev (>= 1.9) | libgsl-dev,
  libhdf5-dev,
  liboctave-dev,
  pkg-config,
  python-all-dev,
  python-ligo-segments,
  python-glue (>= @MIN_GLUE_VERSION@),
  python-numpy,
  python-six,
  python3-all-dev,
  python3-ligo-segments,
  python3-glue (>= @MIN_GLUE_VERSION@),
  python3-numpy,
  python3-six,
  swig (>= 3.0.7),
  zlib1g-dev
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Standards-Version: 3.9.8

Package: lal
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  less
Description: LSC Algorithm Library
 The LSC Algorithm Library for gravitational wave analysis.
 This package contains the shared-object libraries needed to run applications
 that use the LAL library.

Package: lal-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  libfftw3-dev,
  libgsl0-dev (>= 1.9) | libgsl-dev,
  libhdf5-dev,
  zlib1g-dev,
  lal (= ${binary:Version})
Description: Files and documentation needed for compiling programs that use LAL
 The LSC Algorithm Library for gravitational wave analysis.
 This package contains files needed to build applications that use the LAL
 library as well as the documentation for the library.

Package: lal-python
Depends: python-lal, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 lal-python was renamed python-lal,
 this is a transitional package, it can safely be removed.

Package: python-lal
Replaces: lal-python (<< 6.18.0-1~)
Breaks: lal-python (<< 6.18.0-1~)
Section: python
Architecture: any
Depends: ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends},
  python-ligo-segments,
  python-glue (>= @MIN_GLUE_VERSION@),
  python-six,
  lal (= ${binary:Version})
Description: Python bindings for LAL
 The LSC Algorithm Library for gravitational wave analysis.
 This package contains Python bindings for the LAL library.

Package: lal-python3
Depends: python3-lal, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 lal-python3 was renamed python3-lal,
 this is a transitional package, it can safely be removed.

Package: python3-lal
Section: python
Replaces: lal-python3 (<< 6.18.0-1~)
Breaks: lal-python3 (<< 6.18.0-1~)
Architecture: any
Depends: ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
  python3-ligo-segments,
  python3-glue (>= @MIN_GLUE_VERSION@),
  python3-six,
  lal (= ${binary:Version})
Description: Python 3 bindings for LAL
 The LSC Algorithm Library for gravitational wave analysis.
 This package contains Python 3 bindings for the LAL library.

Package: lal-octave
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  octave,
  lal (= ${binary:Version})
Description: Octave bindings for LAL
 The LSC Algorithm Library for gravitational wave analysis.
 This package contains Octave bindings for the LAL library.
